[Qa-jenkins-scm] [jenkins.debian.net] 01/03: reproducible/openwrt|lede: node_save_logs: ignore return code in error case

Holger Levsen holger at layer-acht.org
Mon Oct 17 17:23:43 UTC 2016


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit 41af19cf57b9ccabe94e35da1cc2e87fb070c6a7
Author: Alexander Couzens <lynxis at fe80.eu>
Date:   Fri Oct 14 10:58:06 2016 +0200

    reproducible/openwrt|lede: node_save_logs: ignore return code in error case
    
    Signed-off-by: Holger Levsen <holger at layer-acht.org>
---
 bin/reproducible_openwrt_common.sh | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/bin/reproducible_openwrt_common.sh b/bin/reproducible_openwrt_common.sh
index 793ee1b..e17698e 100644
--- a/bin/reproducible_openwrt_common.sh
+++ b/bin/reproducible_openwrt_common.sh
@@ -44,12 +44,12 @@ master_cleanup_tmpdirs() {
 	# in a success build the logs are saved on a different function
 	if [ "$1" != "success" ] ; then
 		# job failed
-		ssh $GENERIC_NODE1 reproducible_$TYPE node node_save_logs $TMPDIR/logs.xz $TMPDIR/build || true
-		ssh $GENERIC_NODE2 reproducible_$TYPE node node_save_logs $TMPDIR/logs.xz $TMPDIR/build || true
+		ssh $GENERIC_NODE1 reproducible_$TYPE node node_save_logs $TMPDIR || true
+		ssh $GENERIC_NODE2 reproducible_$TYPE node node_save_logs $TMPDIR || true
 		# save failure logs
 		mkdir -p $WORKSPACE/results/
-		rsync -av $GENERIC_NODE1:$TMPDIR/build_logs.tar.xz $WORKSPACE/results/build_logs_b1.tar.xz
-		rsync -av $GENERIC_NODE2:$TMPDIR/build_logs.tar.xz $WORKSPACE/results/build_logs_b2.tar.xz
+		rsync -av $GENERIC_NODE1:$TMPDIR/build_logs.tar.xz $WORKSPACE/results/build_logs_b1.tar.xz || true
+		rsync -av $GENERIC_NODE2:$TMPDIR/build_logs.tar.xz $WORKSPACE/results/build_logs_b2.tar.xz || true
 	fi
 
 	ssh $GENERIC_NODE1 reproducible_$TYPE node node_cleanup_tmpdirs $TMPDIR || true

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list